Рейтинг@Mail.ru
[Войти] [Зарегистрироваться]

Наши друзья и партнеры

UnixForum
Беспроводные выключатели nooLite купить дешевый 
компьютер родом из Dhgate.com
  • Стулья для бара
  • Комфортный эргономичный стул Норд для дома, кафе, ресторана
  • stg-mebel.ru

Lines Club

Ищем достойных соперников.

Библиотека сайта или "Мой Linux Documentation Project"

На главную -> MyLDP -> Электронные книги по ОС Linux
Beyond Linux From Scratch. Version 2011-12-30
Назад 34. Дополнительные пакеты GNOME. Вспомогательные средства Вперед

Пакет GNOME Magnifier-0.16.1

Знакомимся с пакетом GNOME Magnifier

В пакете GNOME Magnifier находится приложение "Экранная лупа", которая позволяет увеличивать изображение части рабочего стола. Оно специально разработано для пользователей со слабым зрением, которые хотят использовать GNOME.

Известно, что этот пакет собирается на платформе LFS 6.5, но он не тестировался.

Информация о пакете

Зависимости пакета GNOME Magnifier

Обязательные

AT SPI-1.30.1

Необязательные (для сборки апплета Colorblind)

GNOME Desktop-2.30.2, colorblind, PyGTK-2.17.0 (имеющий в своем составе модули gtk и gtk.libglade), PyORBit-2.24.0, Gnome-Python-2.28.1 (имеющий в своем составе модуль gnome.ui) и Gnome-Python-Desktop-2.30.2 (имеющий в своем составе модуль gnomeapplet)

Необязательные

Doxygen-1.7.5

Замечания для пользователей: http://wiki.linuxfromscratch.org/blfs/wiki/gnome-mag

Установка пакета GNOME Magnifier

Если установлен пакет Doxygen-1.7.5, то автоматически будет сгенерирована справочная документация. Установите пакет GNOME Magnifier с помощью следующих команд:

./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
            --sysconfdir=/etc/gnome/2.30.2 &&
make

В этом пакете набор тестов отсутствует.

Теперь в роли пользователя root выполните:

make install

Пояснение команд

--prefix=$(pkg-config --variable=prefix ORBit-2.0): Установка префикса с помощью этого параметра, а не с помощью $GNOME_PREFIX будет гарантировать, что префикс будет установлен в соответствие со средой окружения и пакет будет установлен в нужном месте.

--sysconfdir=/etc/gnome/2.30.2: Этот параметр указывает, что конфигурационные файлы будут установлены в директорий /etc/gnome/2.30.2, а не в директорий .$GNOME_PREFIX/etc. Кроме того (если это требуется), этот параметр гарантирует, что будет правильно обновлена база данных GConf-2.

Описание пакета

Установленные программы: magnifier

Установленные библиотеки: libgnome-mag.so и GNOME_Magnifier_module.so

Установленные директории: $GNOME_PREFIX/{include/gnome-mag-1.0/magnifier, share/{doc/gnome-mag-0.16.1/reference/html,gnome-mag/{1_32,dbus}, idl/gnome-mag-1.0}}

Краткое описание

magnifier

утилита увеличения изображения экрана

libgnome-mag.so

содержит функции API пакета GNOME

GNOME_Magnifier_module.so

модуль ORBit2

Перевод сделан с варианта оригинала, датированного 2010-08-14 02:56:48 +0000


Предыдущий раздел: Оглавление Следующий раздел:
Пакет dasher-4.11   Пакет GNOME Speech-0.4.25


Эта статья еще не оценивалась
Вы сможете оценить статью и оставить комментарий, если войдете или зарегистрируетесь.
Только зарегистрированные пользователи могут оценивать и комментировать статьи.

Комментарии отсутствуют